SDL_SetWindowFullscreen(3)

NAME
SDL_SetWindowFullscreen - Request that the window's fullscreen state be changed.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowFullscreen(SDL_Window *window, SDL_bool fullscreen);

DESCRIPTION
By default a window in fullscreen state uses borderless fullscreen desktop mode, but a specific exclusive display mode can be set using SDL_SetWindowFullscreenMode (). On some windowing systems this request is asynchronous and the new fullscreen state may not have have been applied immediately upon the return of this function. If an immediate change is required, call SDL_SyncWindow () to block until the changes have taken effect. When the window state changes, an SDL_EVENT_WINDOW_ENTER_FULLSCREEN
 or SDL_EVENT_WINDOW_LEAVE_FULLSCREEN event will be emitted. Note that, as this is just a request, it can be denied by the windowing system.

FUNCTION PARAMETERS

window
    the window to change

fullscreen
    SDL_TRUE
     for fullscreen mode, SDL_FALSE
     for windowed mode

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowFullscreenMode(3), SDL_SetWindowFullscreenMode(3), SDL_SyncWindow(3)